WebApplication1/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.Mvc;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

       
    }
}

WebApplication1/Controllers/UserController.cs
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.Mvc;
using BusinessLayer;
using BusinessObject;

namespace WebApplication1.Controllers
{
    public class UserController : Controller
    {
        //
        // GET: /User/

        public ActionResult Index()
        {
            UserBusinessLayer UserBusinessLayer = new UserBusinessLayer();
            List<User> Users = UserBusinessLayer.Users.ToList();
            return View(Users);
        }

        [HttpGet]
        [ActionName("Create")]
        public ActionResult Create_Get()
        {

            return View();
        }

        [HttpPost]
        [ActionName("Create")]
        public ActionResult Create_Post(User user)
        {
            /*User emp = new User();
             TryUpdateModel<User>(emp);//updateModel throws an exception if validation fails but TryUpdateModel will never throw an exception
            */
            if (ModelState.IsValid)
            {

                UserBusinessLayer userBL = new UserBusinessLayer();
                userBL.addUser(user);
                return RedirectToAction("Index");
            }

            return View();
        }


        [HttpGet]
        [ActionName("Edit")]
        public ActionResult Edit_Get(int id)
        {
            UserBusinessLayer userBL = new UserBusinessLayer();
            User User = userBL.Users.Single(user => user.UserId == id);
            return View(User);
        }


        [HttpPost]
        [ActionName("Edit")]
        public ActionResult Edit_Post(int id)
        {

            UserBusinessLayer userBL = new UserBusinessLayer();
            User User = userBL.Users.Single(user => user.UserId == id);
            UpdateModel<User>(User);//include property
            //UpdateModel<User>(User, new string []{"Id","Gender","City","DateOfBirth"});// Exclude properties
            //or you can use bind attribute or using interface to include and exclude properties
            if (ModelState.IsValid)
            {
                userBL.saveUser(User);
                return RedirectToAction("Index");
            }
            return View();
        }

        [HttpPost]
        public ActionResult Delete(int id)
        {
            UserBusinessLayer empBL = new UserBusinessLayer();
            empBL.deleteUser(id);
            return RedirectToAction("Index");
        }


        public ActionResult ChangeCultureEN()
        {
            Session["CurrentLanguage"] = "en-US";
            Class1.lang = "en-US";
            return Redirect(Request.UrlReferrer.ToString());
        }

        public ActionResult ChangeCultureAR()
        {
            Session["CurrentLanguage"] = "ar-SY";
            Class1.lang = "ar-SY";
            return Redirect(Request.UrlReferrer.ToString());
        }

    }
}

WebApplication1/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

WebApplication1/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

WebApplication1/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}

<div class="jumbotron">
    <h1>ASP.NET</h1>
    <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS and JavaScript.</p>
    <p><a href="https://asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
</div>

<div class="row">
    <div class="col-md-4">
        <h2>Getting started</h2>
        <p>
            ASP.NET MVC gives you a powerful, patterns-based way to build dynamic websites that
            enables a clean separation of concerns and gives you full control over markup
            for enjoyable, agile development.
        </p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301865">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Get more libraries</h2>
        <p>NuGet is a free Visual Studio extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301866">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Web Hosting</h2>
        <p>You can easily find a web hosting company that offers the right mix of features and price for your applications.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301867">Learn more &raquo;</a></p>
    </div>
</div>

WebApplication1/Views/Shared/_Layout.cshtml
@using System.Globalization
@using System.Threading;
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Application name", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Home", "Index", "Home")</li>
                    <li>@Html.ActionLink("About", "About", "Home")</li>
                    <li>@Html.ActionLink("Contact", "Contact", "Home")</li>
                    <li>@Html.ActionLink("English", "ChangeCultureEN", "User")</li>
                    <li>@Html.ActionLink("Arabic", "ChangeCultureAR", "User")</li>
                </ul>
            </div>
           
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

WebApplication1/Views/User/Create.cshtml
@model BusinessObject.User

@{
    ViewBag.Title = "Create";
}
<div style="font-family:Arial">
    <h2>@BusinessObject.Class1.getTranslated("Create")</h2>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

    <fieldset>
        <legend>@BusinessObject.Class1.getTranslated("NewUser")</legend>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Username")
            @*@Html.LabelFor(model => model.Username)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Username)
            @Html.ValidationMessage("Username", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Password")
            @*@Html.LabelFor(model => model.Password)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Password)
            @Html.ValidationMessage("Password", "", new { @class = "text-danger" })

        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Email")

            @*@Html.LabelFor(model => model.Email)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Email)
            @Html.ValidationMessage("Email", "", new { @class = "text-danger" })

        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("PasswordQuestion")

            @*@Html.LabelFor(model => model.PasswordQuestion)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.PasswordQuestion)
            @Html.ValidationMessage("PasswordQuestion", "", new { @class = "text-danger" })
        </div>


        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("PasswordAnswer")

            @*@Html.LabelFor(model => model.PasswordAnswer)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.PasswordAnswer)
            @Html.ValidationMessage("PasswordAnswer", "", new { @class = "text-danger" })

        </div>


        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Role")

            @*@Html.LabelFor(model => model.RoleId)*@
        </div>
        <div class="editor-field">
            @Html.DropDownList("RoleId", new List<SelectListItem> {
                    new SelectListItem{Text="Admin", Value = "1"},
                    new SelectListItem{Text="Super User", Value = "2"} })
            @Html.ValidationMessage("RoleId", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Language")

            @*@Html.LabelFor(model => model.Language)*@
        </div>
        <div class="editor-field">
            @Html.DropDownList("Language", new List<SelectListItem> {
                    new SelectListItem{Text="Arabic", Value = "ar_AE"},
                    new SelectListItem{Text="English", Value = "en_US"} })
            @Html.ValidationMessageFor(model => model.Language)
        </div>


        <p>
            <input type="submit" value= @BusinessObject.Class1.getTranslated("Create") />
        </p>
    </fieldset>
    }

    <div>
        @Html.ActionLink(@BusinessObject.Class1.getTranslated("BackToList"), "Index")
    </div>
</div>

WebApplication1/Views/User/Edit.cshtml
@model BusinessObject.User

@{
    ViewBag.Title = "Edit";
}
<div style="font-family:Arial">
    <h2>@BusinessObject.Class1.getTranslated("Edit")</h2>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

    <fieldset>
        <legend>User</legend>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Username")

            @*@Html.LabelFor(model => model.Username)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Username)
            @Html.ValidationMessage("Username", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Password")

            @*@Html.LabelFor(model => model.Password)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Password)
            @Html.ValidationMessage("Password", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Email")

            @*@Html.LabelFor(model => model.Email)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Email)
            @Html.ValidationMessage("Email", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("PasswordQuestion")

            @*@Html.LabelFor(model => model.PasswordQuestion)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.PasswordQuestion)
            @Html.ValidationMessage("PasswordQuestion", "", new { @class = "text-danger" })
        </div>


        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("PasswordAnswer")

            @*@Html.LabelFor(model => model.PasswordAnswer)*@
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.PasswordAnswer)
            @Html.ValidationMessage("PasswordAnswer", "", new { @class = "text-danger" })
        </div>


        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Role")

            @*@Html.LabelFor(model => model.RoleId)*@
        </div>
        <div class="editor-field">
            @Html.DropDownList("RoleId", new List<SelectListItem> {
                    new SelectListItem{Text="Admin", Value = "1"},
                    new SelectListItem{Text="Super User", Value = "2"} })
            @Html.ValidationMessage("RoleId", "", new { @class = "text-danger" })
        </div>

        <div class="editor-label">
            @BusinessObject.Class1.getTranslated("Language")

            @*@Html.LabelFor(model => model.Language)*@
        </div>
        <div class="editor-field">
            @Html.DropDownList("Language", new List<SelectListItem> {
                    new SelectListItem{Text="Arabic", Value = "ar_AE"},
                    new SelectListItem{Text="English", Value = "en_US"} })
            @Html.ValidationMessage("Language", "", new { @class = "text-danger" })
        </div>

        @Html.HiddenFor(model => model.UserId)

        <p>
            <input type="submit" value=@BusinessObject.Class1.getTranslated("Save") />
        </p>
    </fieldset>
    }

    <div>
        @Html.ActionLink(@BusinessObject.Class1.getTranslated("BackToList"), "Index")
    </div>

</div>

WebApplication1/Views/User/Index.cshtml
@model IEnumerable<BusinessObject.User>

@{
    ViewBag.Title = "Index";
}
<script src="http://code.jquery.com/jquery-1.10.2.min.js" type="text/javascript"></script>

<div style="font-family:Arial">

    <h2>@BusinessObject.Class1.getTranslated("ListOfUsers")</h2>

    <p>
        @Html.ActionLink(BusinessObject.Class1.getTranslated("Create"), "Create")
    </p>
    <table border="1" class="table">
        <tr class="trHead">
            <th>
                @BusinessObject.Class1.getTranslated("Username")
                @*@Html.DisplayNameFor(model => model.Username)*@
            </th>
            @*<th>
                @Html.DisplayNameFor(model => model.Password)
            </th>*@
            <th>
                @BusinessObject.Class1.getTranslated("Email")
                @*@Html.DisplayNameFor(model => model.Email)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("PasswordQuestion")
                @*@Html.DisplayNameFor(model => model.PasswordQuestion)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("PasswordAnswer")

                @*@Html.DisplayNameFor(model => model.PasswordAnswer)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("Role")

                @*@Html.DisplayNameFor(model => model.RoleId)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("Language")

                @*@Html.DisplayNameFor(model => model.Language)*@
            </th>
            <th> @BusinessObject.Class1.getTranslated("Actions")</th>
        </tr>

        @foreach (var item in Model)
        {
            using (Html.BeginForm("Delete", "User", new { id = item.UserId }))
            {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Username)
            </td>
            @*<td>
                @Html.DisplayFor(modelItem => item.Password)
            </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PasswordQuestion)
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.PasswordAnswer)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RoleId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Language)
            </td>
            <td>
                @Html.ActionLink(@BusinessObject.Class1.getTranslated("Edit"), "Edit", new { id = item.UserId }, new { @class = "editBtn" }) 
                <input type="submit" class="deleteBtn" value=@BusinessObject.Class1.getTranslated("Delete") onclick="return confirm('Are u sure you want to delete record with id = @item.UserId ?')">
            </td>
        </tr>
            }
        }

    </table>

    <script>
        $(document).ready(function () {
            $("tr:odd").css({
                "background-color": "#5e7c76",
                "color": "#fff"
            });
        });
    </script>
</div>